# code_review_extension_category_monthly_active_users
# This is only metrics related to the VS Code Extension for now.
#
# code_review_category_monthly_active_users
# This is the user based metrics. These should only be user based metrics and only be related to the Code Review things inside of GitLab.
#
# code_review_group_monthly_active_users
# This is an aggregation of both of the above aggregations. It's intended to represent all users who interact with our group across all of our categories.
---
- name: code_review_group_monthly_active_users
  operator: OR
  feature_flag: usage_data_code_review_aggregation
  source: redis
  events: [
    'i_code_review_user_single_file_diffs',
    'i_code_review_user_create_mr',
    'i_code_review_user_close_mr',
    'i_code_review_user_reopen_mr',
    'i_code_review_user_resolve_thread',
    'i_code_review_user_unresolve_thread',
    'i_code_review_edit_mr_title',
    'i_code_review_edit_mr_desc',
    'i_code_review_user_merge_mr',
    'i_code_review_user_create_mr_comment',
    'i_code_review_user_edit_mr_comment',
    'i_code_review_user_remove_mr_comment',
    'i_code_review_user_create_review_note',
    'i_code_review_user_publish_review',
    'i_code_review_user_create_multiline_mr_comment',
    'i_code_review_user_edit_multiline_mr_comment',
    'i_code_review_user_remove_multiline_mr_comment',
    'i_code_review_user_add_suggestion',
    'i_code_review_user_apply_suggestion',
    'i_code_review_user_assigned',
    'i_code_review_user_review_requested',
    'i_code_review_user_approve_mr',
    'i_code_review_user_unapprove_mr',
    'i_code_review_user_marked_as_draft',
    'i_code_review_user_unmarked_as_draft',
    'i_code_review_user_approval_rule_added',
    'i_code_review_user_approval_rule_deleted',
    'i_code_review_user_approval_rule_edited',
    'i_code_review_user_vs_code_api_request',
    'i_code_review_user_toggled_task_item_status',
    'i_code_review_user_create_mr_from_issue',
    'i_code_review_user_mr_discussion_locked',
    'i_code_review_user_mr_discussion_unlocked',
    'i_code_review_user_time_estimate_changed',
    'i_code_review_user_time_spent_changed'
  ]
- name: code_review_category_monthly_active_users
  operator: OR
  feature_flag: usage_data_code_review_aggregation
  source: redis
  events: [
    'i_code_review_user_single_file_diffs',
    'i_code_review_user_create_mr',
    'i_code_review_user_close_mr',
    'i_code_review_user_reopen_mr',
    'i_code_review_user_resolve_thread',
    'i_code_review_user_unresolve_thread',
    'i_code_review_edit_mr_title',
    'i_code_review_edit_mr_desc',
    'i_code_review_user_merge_mr',
    'i_code_review_user_create_mr_comment',
    'i_code_review_user_edit_mr_comment',
    'i_code_review_user_remove_mr_comment',
    'i_code_review_user_create_review_note',
    'i_code_review_user_publish_review',
    'i_code_review_user_create_multiline_mr_comment',
    'i_code_review_user_edit_multiline_mr_comment',
    'i_code_review_user_remove_multiline_mr_comment',
    'i_code_review_user_add_suggestion',
    'i_code_review_user_apply_suggestion',
    'i_code_review_user_assigned',
    'i_code_review_user_review_requested',
    'i_code_review_user_approve_mr',
    'i_code_review_user_unapprove_mr',
    'i_code_review_user_marked_as_draft',
    'i_code_review_user_unmarked_as_draft',
    'i_code_review_user_approval_rule_added',
    'i_code_review_user_approval_rule_deleted',
    'i_code_review_user_approval_rule_edited',
    'i_code_review_user_toggled_task_item_status',
    'i_code_review_user_create_mr_from_issue',
    'i_code_review_user_mr_discussion_locked',
    'i_code_review_user_mr_discussion_unlocked',
    'i_code_review_user_time_estimate_changed',
    'i_code_review_user_time_spent_changed'
  ]
- name: code_review_extension_category_monthly_active_users
  operator: OR
  feature_flag: usage_data_code_review_aggregation
  source: redis
  events: [
    'i_code_review_user_vs_code_api_request'
  ]
